Creates a new `FeatureConfig` resource, which can be used to
enable and configure features like Object enrichments.

## Required permissions

To use this method, the authenticated user must have the
`storage.featureConfigs.create` IAM permission.

## Request

### HTTP request

```
POST https://storage.googleapis.com/v2/projects/project/locations/global/featureConfigs?featureConfigId=featureConfigId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `project` | `string` | The project ID or number to which the feature configuration belongs. |
| **Query parameters** |||
| `featureConfigId` | `string` | **Required.** The ID to use for the feature configuration, which will become the final component of the resource name. Must be 1-63 characters, start with a letter, and contain only lowercase letters, numbers, or hyphens. Cannot end with a hyphen. |
| `requestId` | `string` | *Optional.* A UUID for idempotent requests. |

### Request body

In the request body, supply a [FeatureConfig resource](https://docs.cloud.google.com/storage/docs/json_api/v1/featureConfigs.md.txt#resource).

## Response

If successful, this method returns a [long-running operation](https://docs.cloud.google.com/storage/docs/using-long-running-operations.md.txt)
in the response body which completes with an instance of [FeatureConfig](https://docs.cloud.google.com/storage/docs/json_api/v1/featureConfigs.md.txt#resource).